package org.brapi.test.BrAPITestServer.system.repository;

import org.brapi.test.BrAPITestServer.system.entity.SysUserEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;
import java.util.UUID;

public interface SysUserRepository extends JpaRepository<SysUserEntity, UUID> {

    Optional<SysUserEntity> findByAccount(String account);

    boolean existsByAccount(String account);

    boolean existsByEmail(String email);
}
